Enum Class AttachmentPurpose

java.lang.Object
java.lang.Enum<AttachmentPurpose>
com.eqixiac.equinix.customerportal.enums.AttachmentPurpose
All Implemented Interfaces:
APIParam, Serializable, Comparable<AttachmentPurpose>, Constable

public enum AttachmentPurpose extends Enum<AttachmentPurpose> implements APIParam
Purpose for which an attachment is uploaded (POST /v1/attachments/file, purpose query parameter).

LOA is used for cross-connect letters of authorization; PO_DOCUMENT is used for purchase-order documents.

  • Enum Constant Details

  • Method Details

    • values

      public static AttachmentPurpose[] values()
      Returns an array containing the constants of this enum class, in the order they are declared.
      Returns:
      an array containing the constants of this enum class, in the order they are declared
    • valueOf

      public static AttachmentPurpose valueOf(String name)
      Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
      Parameters:
      name - the name of the enum constant to be returned.
      Returns:
      the enum constant with the specified name
      Throws:
      IllegalArgumentException - if this enum class has no constant with the specified name
      NullPointerException - if the argument is null